Bug 1443567 - missing Requires: xmlgraphics-commons in squiggle and rasterizer subpackage
Summary: missing Requires: xmlgraphics-commons in squiggle and rasterizer subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: batik
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-19 13:34 UTC by Martin Gieseking
Modified: 2017-05-10 03:59 UTC (History)
5 users (show)

Fixed In Version: 1.8-8 batik-1.8-8.fc26 batik-1.8-9.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-10 03:59:05 UTC


Attachments (Terms of Use)

Description Martin Gieseking 2017-04-19 13:34:24 UTC
Currently, the packages batik-squiggle and batik-rasterizer don't depend on  xmlgraphics-commons which is required by "squiggle" and "rasterizer" to work properly. Both utilities fail to start if it's not installed. It would be nice if you could add the missing Requires to the subpackages.

Comment 1 Mikolaj Izdebski 2017-04-19 14:23:06 UTC
Fixed in batik-1.8-8

Comment 2 Martin Gieseking 2017-04-19 17:57:59 UTC
Great. Thank you for the prompt update.

Comment 3 Martin Gieseking 2017-04-20 09:45:05 UTC
Could you submit the updates for f25 and f26 through Bodhi, please?

Comment 4 Fedora Update System 2017-04-20 09:47:10 UTC
batik-1.8-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9532333e56

Comment 5 Fedora Update System 2017-04-20 09:47:25 UTC
batik-1.8-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ef96c0f10

Comment 6 Fedora Update System 2017-04-20 18:26:03 UTC
batik-1.8-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9532333e56

Comment 7 Fedora Update System 2017-04-20 20:24:41 UTC
batik-1.8-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ef96c0f10

Comment 8 Fedora Update System 2017-04-26 18:49:31 UTC
batik-1.8-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-28 11:03:33 UTC
batik-1.8-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-43b46cd2da

Comment 10 Fedora Update System 2017-04-30 02:25:55 UTC
batik-1.8-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-43b46cd2da

Comment 11 Fedora Update System 2017-05-10 03:59:05 UTC
batik-1.8-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.